%define name		fontforge
%define ffversion	20050809
%define docversion	20050809
%define release		1mdk

Name:		%{name}
Version:	1.0
Release:	0.%{ffversion}.%{release}
Summary:	Font Editor for PostScript, TrueType, OpenType and various fonts
License:	BSD Style
Group:		Publishing
Source0:	http://fontforge.sourceforge.net/fontforge_full-%{ffversion}.tar.bz2
Source1:	fontforge-icons.tar.bz2
Source2:	http://fontforge.sourceforge.net/fontforge_htdocs-%{docversion}.tar.bz2
Source3:	http://fontforge.sourceforge.net/cidmaps.tar.bz2
# (Abel) adds DESTDIR support and indicate operation mode for libtool
Patch1:		fontforge-20050624-destdir.patch.bz2
Patch2:		fontforge-helpdir.patch.bz2
URL:		http://fontforge.sourceforge.net/
# (Abel) it wants either autotrace or potrace
Requires:	fonttracer
Requires:	tetex-mfwin
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	tiff-devel
BuildRequires:	libungif-devel
# (Abel) libuninameslist.so is a runtime dependency via dlopen()
Requires:	libuninameslist-devel
BuildRequires:	libuninameslist-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FontForge is an outline font editor that lets you create your own 
postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and 
bitmap (bdf) fonts, or edit existing ones. Also lets you convert one
format to another. FontForge has support for many macintosh font formats.

%prep
%setup -q -n fontforge-%{ffversion}
%patch1 -p1 -b .destdir
%patch2 -p1 -b .helpdir

# needed by patch
autoconf

mkdir -p htdocs cidmap
tar xjf %{SOURCE2} -C htdocs
tar xjf %{SOURCE3} -C cidmap

%build
%configure2_5x \
	--with-multilayer \
	--disable-shared

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -rf $RPM_BUILD_ROOT%{_libdir}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/fontforge 2>/dev/null" needs="X11" \
icon="%{name}.png" section="Office/Publishing" title="FontForge" \
longtitle="A font editor"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README htdocs
%{_bindir}/*
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/fontforge
%{_datadir}/doc/fontforge

%changelog
* Wed Aug 24 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20050809.1mdk
- Release: 20050809.

* Fri Aug 05 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20050803.1mdk
- Release: 20050803.

* Mon Jun 27 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20050624.1mdk
- Release: 20050624.
- Removed Patch0 (merged upstream).
- Adapted Patch1.

* Mon Feb 14 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20050209.1mdk
- Release: 20050209.
- Fixed helpdir (Patch2).

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 1.0-0.20041231.2mdk
- Don't obsolete/provide pfaedit, pfaedit should still stay (ghibo)
- UTF-8 spec

* Sun Jan 16 2005 Abel Cheung <deaddog@mandrake.org> 1.0-0.20041231.1mdk
- New release
- Updated cidmaps to 2004-12-22
- Obsoletes pfaedit
- Parallel build broken
- P0: fix detection of libxkbui
- P1: Adds DESTDIR support and --mode=* option to libtool calls
- (Seems not working very well, is urw-fonts broken?)

* Wed Aug 25 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.0-0.20040824.1mdk
- Release: 20040824.
- Removed Patch0, merged upstream.

* Sat Jul 31 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.0-0.20040703.2mdk
- Added Patch0 to get global variables like $fontversion working correctly.

* Thu Jul 29 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.0-0.20040703.1mdk
- Initial release.
